.ai-content-image-box-cards {
    display: grid;
    grid-template-columns: auto auto auto auto auto;
    gap: 24px;
}

.ai-content-image-box-card {
    position: relative;
    width: 210px;
    height: auto;
    background: var(--color-light);
    display: flex;
    gap: 8px;
    border: 2px solid var(--color-border);
    padding: var(--p-10);
    border-radius: var(--br-20);
    z-index: 1;
    overflow: visible;
    transition: 0.3s ease-in-out;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.ai-content-image-box-card:hover {
    background: var(--color-scondary);
    border: 2px solid var(--color-scondary);
}

.ai-content-image-box-card-image img {
    border-radius: var(--br-16);
    border: 2px solid var(--color-light);
    box-sizing: border-box;
}

.ai-content-image-box-card:hover .ai-content-image-box-card-image img {
    border: 2px solid var(--color-primary);
}

.ai-content-image-box-card-items {
    display: flex;
    flex-direction: column;
    height: auto;
    padding: 0;
    width: 100%;
    justify-content: space-between;
    gap: 12px;
}

.ai-content-image-box-card-title h3 {
    font-size: var(--t-18);
}

.ai-content-image-box-card:hover .ai-content-image-box-card-title h3 {
    color: var(--color-primary);
}

.ai-content-image-box-card-title span {
    font-size: var(--t-14);
    color: var(--color-small);
    line-height: 20px;
}

.ai-content-image-box-card:hover .ai-content-image-box-card-title span {
    color: var(--color-tertiary);
}

.ai-content-image-box-card-button {
    display: flex;
    justify-content: end;
    align-items: center;
}

.ai-content-image-box-card-button button {
    border: none;
    outline: none;
    cursor: pointer;
    padding: 8px 26px;
    border-radius: var(--br-12);
    background: var(--color-scondary);
    font-family: 'yekanbakh';
    font-size: var(--t-15);
    transition: 0.3s ease-in-out;
    width: 100%;
}

.ai-content-image-box-card:hover .ai-content-image-box-card-button button {
    background: var(--color-primary);
    color: var(--color-scondary);
}

.image-ai-generator {
    display: flex;
    gap: 32px;
}


.image-ai-generate {
    display: flex;
    width: 100%;
    height: 100vh;
    background-color: #1f1838;
    font-family: 'yekanbakh', sans-serif;
    direction: rtl;
    color: #fff;
    box-sizing: border-box;
    overflow: hidden;
}

.image-ai-generate * {
    box-sizing: border-box;
}

.preview-section {
    flex: 1;
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.preview-content {
    background: #2a2046;
    width: 100%;
    height: 100%;
    border-radius: 24px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: #fff;
}

.placeholder-icon svg {
    width: 80px;
    height: 80px;
    stroke: #6b5b95;
    margin-bottom: 20px;
}

.preview-content h2 {
    font-size: 18px;
    font-weight: 700;
    margin: 10px 0;
}

.preview-content p {
    font-size: 13px;
    color: #aaa;
    margin-top: 5px;
}

.sidebar-section {
    width: 300px;
    background-color: var(--color-light);
    padding: 20px;
    overflow-y: auto;
    scrollbar-width: thin;
    scrollbar-color: #4a3f75 #2e264e;
    border-radius: var(--br-30);
}

.sidebar-section::-webkit-scrollbar {
    width: 6px;
}

.sidebar-section::-webkit-scrollbar-track {
    background: #2e264e;
}

.sidebar-section::-webkit-scrollbar-thumb {
    background-color: #4a3f75;
    border-radius: 10px;
}

.section-group {
    margin-bottom: 24px;
}

.section-title {
    display: block;
    font-size: 14px;
    font-weight: 500;
    color: #eaeaea;
    margin-bottom: 10px;
}

.model-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 8px;
    margin-bottom: 10px;
}

.model-item {
    background-color: #482F8D;
    border-radius: 12px;
    padding: 10px 5px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: all 0.2s;
    width: 80px;
    height: 78px;
}

.model-item.active {
    background-color: #fbcf08;
    color: #1f1838;
}

.model-icon svg {
    width: 24px;
    height: 24px;
}

.model-icon svg path {
    fill: #fff;
}

.model-item.active .model-icon svg path {
    fill: var(--color-primary)
}

.model-item span {
    font-size: 12px;
    font-weight: 400;
}

.auto-select-btn {
    width: 100%;
    background-color: var(--color-input);
    color: #fff;
    border: 1px solid var(--color-border);
    border-radius: var(--br-16);
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    cursor: pointer;
    font-family: inherit;
    font-size: 13px;
}

.auto-select-btn svg {
    width: 16px;
    height: 16px;
}

.section-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
}

.see-all {
    font-size: 12px;
    color: var(--color-scondary);
    text-decoration: none;
    background: var(--color-primary);
    padding: 6px 14px;
    border-radius: var(--br-8);
    margin-bottom: 10px;
}

.style-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 8px;
}

.style-item {
    text-align: center;
    cursor: pointer;
}

.style-img {
    width: 100%;
    aspect-ratio: 1;
    background-size: cover;
    background-position: center;
}

.style-img img {
    border-radius: var(--br-16);
}

.style-item span {
    font-size: 12px;
    color: #fff;
}

.input-row {
    display: flex;
    gap: 20px;
    position: relative;
    margin-bottom: 20px;
}

.input-row:nth-child(1) {
    z-index: 30;
}

.input-row:nth-child(2) {
    z-index: 20;
}

.input-row:nth-child(3) {
    z-index: 10;
}

.input-col {
    flex: 1;
    display: flex;
    flex-direction: column;
}

.field-label {
    text-align: right;
    margin-bottom: 12px;
    font-size: 14px;
    font-weight: 400;
}

.select-option {
    position: relative;
    width: 100%;
}

.sidebar-input {
    width: 100%;
    height: 40px;
    background-color: var(--color-input);
    border-radius: 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 4px 16px;
    cursor: pointer;
    box-sizing: border-box;
    transition: 0.3s;
    border: 1px solid transparent;
}

.sidebar-input:hover {
    border-color: rgba(255, 255, 255, 0.1);
}

.selected-value {
    color: #9988C5;
    font-size: 13px;
}

.arrow {
    width: 8px;
    height: 8px;
    border-left: 2px solid #fff;
    border-bottom: 2px solid #fff;
    transform: rotate(-45deg);
    transition: 0.3s;
}

.select-option.active .arrow {
    transform: rotate(135deg);
}

.options-list {
    position: absolute;
    top: 44px;
    left: 0;
    right: 0;
    background: #482F8D;
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    border-radius: var(--br-16);
    padding: 0;
    opacity: 0;
    visibility: hidden;
    transform: scale(0.95);
    transition: all 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.3);
    z-index: 100;
    overflow: hidden;
}

.select-option.active .options-list {
    opacity: 1;
    visibility: visible;
    transform: scale(1);
}

.option-item {
    padding: 12px 0;
    text-align: center;
    cursor: pointer;
    font-size: 13px;
    color: #fff;
    width: 100%;
    margin: 0 auto;
    transition: 0.2s;
}

.option-item:last-child {
    border-bottom: none;
}

.option-item.selected {
    font-weight: 400;
}

.option-item.selected {
    font-weight: bold;
    background-color: none;
    border-radius: 0;
}

.option-item:hover {
    background-color: var(--color-scondary);
    border-radius: 0;
    color: var(--color-primary);
}

@media (max-width: 600px) {
    .input-row {
        flex-direction: column;
        z-index: auto !important;
    }
}

.aspect-ratio-grid {
    display: grid;
    grid-template-columns: auto auto auto;
    gap: 8px;
}

.ratio-item {
    background-color: #482F8D;
    border-radius: var(--br-16);
    padding: 8px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    border: 1px solid transparent;
    width: 78px;
    height: 78px;
}

.ratio-item.active {
    background-color: #fbcf08;
    color: #1f1838;
}

.ratio-box {
    border: 1.5px solid currentColor;
    margin-bottom: 6px;
    border-radius: 2px;
}

.r-1-1 {
    width: 24px;
    height: 24px;
    border: 2px solid #fff;
    border-radius: var(--br-4);
}

.r-16-9 {
    width: 20px;
    height: 11px;
    border: 2px solid #fff;
    border-radius: var(--br-4);
}

.r-9-16 {
    width: 11px;
    height: 20px;
    border: 2px solid #fff;
    border-radius: var(--br-4);
}

.r-4-3 {
    width: 18px;
    height: 14px;
    border: 2px solid #fff;
    border-radius: var(--br-4);
}

.r-3-4 {
    width: 14px;
    height: 18px;
    border: 2px solid #fff;
    border-radius: var(--br-4);
}

.ratio-item.active .r-1-1,
.ratio-item.active .r-16-9,
.ratio-item.active .r-9-16,
.ratio-item.active .r-4-3,
.ratio-item.active .r-3-4 {
    border: 2px solid var(--color-primary);
}

.ratio-item span {
    font-size: 14px;
    font-weight: 400;
}

.quality-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.quality-item {
    flex: 1;
    text-align: center;
    background-color: var(--color-input);
    padding: 8px 0;
    border-radius: 20px;
    font-size: 13px;
    cursor: pointer;
    min-width: 45%;
    border: 1px solid var(--color-input);
    display: flex;
    justify-content: center;
    align-items: center;
}

.quality-item.active {
    background-color: #fbcf08;
    color: #1f1838;
    font-weight: 700;
}

.prompt-container {
    background-color: var(--color-input);
    border-radius: var(--br-16);
    padding: 12px;
}

.prompt-container textarea {
    width: 100%;
    background: transparent;
    border: none;
    color: #9988C5;
    resize: none;
    font-family: inherit;
    font-size: 12px;
    min-height: 60px;
    outline: none;
    margin-bottom: 10px;
}

.prompt-actions {
    display: flex;
    justify-content: space-between;
}

.prompt-btn {
    background: transparent;
    border: 1px solid #4a3f75;
    color: #ccc;
    border-radius: 16px;
    padding: 4px 10px;
    font-size: 10px;
    display: flex;
    align-items: center;
    gap: 4px;
    cursor: pointer;
    font-family: inherit;
}

.prompt-btn.highlight {
    background-color: #4e46e5;
    border-color: #4e46e5;
    color: #fff;
}

.generate-items {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.generate-item {
    display: flex;
    align-items: center;
    gap: 8px;
}

.generate-btn {
    width: 50%;
    background-color: #fbcf08;
    color: var(--color-light);
    border: none;
    border-radius: 16px;
    padding: 8px;
    font-family: inherit;
    font-weight: 700;
    font-size: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    cursor: pointer;
    position: relative;
}

.generate-btn .cost {
    position: absolute;
    left: 15px;
    display: flex;
    align-items: center;
    gap: 2px;
}

.ratio-item.active {
    background-color: #fbcf08;
    color: #1f1838;
    border-color: #fbcf08;
}

.quality-item.active {
    background-color: #fbcf08;
    color: #1f1838;
    font-weight: 700;
    border-color: #fbcf08;
}

.model-item.active {
    background-color: #fbcf08;
    color: #1f1838;
}

.generate-image-content {
    width: 70%;
    height: 600px;
    background: var(--color-light);
    border-radius: var(--br-30);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 24px;
}

.generate-image-items {
    display: flex;
    flex-direction: column;
    width: 70%;
}

.generate-image-alert {
    background: var(--color-light);
    border-radius: var(--br-30);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    margin-top: 32px;
}

.generate-image-alert-text {
    display: flex;
    gap: 8px;
}

.generate-image-buttons {
    display: flex;
    gap: 10px;
}

.after-generate {
    width: 100% !important;
    height: auto;
    padding: 0;
}

.after-generate img {
    border-radius: var(--br-30);
    width: 100%;
}

.generate-image-button-edit {
    background: #5832B8;
    color: var(--color-scondary);
    padding: 10px 20px;
    border-radius: var(--br-16);
    width: 160px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.3s ease-in-out;
}

.generate-image-button-jpeg {
    border: 2px solid var(--color-scondary);
    color: var(--color-scondary);
    padding: 10px 20px;
    border-radius: var(--br-16);
    width: 160px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.3s ease-in-out;
}

.generate-image-button-png {
    background: var(--color-scondary);
    border: 2px solid var(--color-scondary);
    padding: 10px 20px;
    border-radius: var(--br-16);
    width: 160px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.3s ease-in-out;
}

.generate-image-button-jpeg:hover,
.generate-image-button-png:hover {
    background: #5832B8;
    border: 2px solid #5832B8;
    color: #fff;
}

.generate-image-button-edit:hover {
    background: var(--color-primary);
    color: #fff;
}

.after-generate-image-items {
    width: 70%;
}

.input-col-margin {
    margin-bottom: 20px;
}

.style-grid-cover {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 0px;
}

.style-grid-cover img {
    border-radius: 16px;
}

@media only screen and (max-width: 992px) {

    .after-generate-image-items {
        width: 100%;
    }

    .after-generate {
        padding: 0 !important;
    }

    .image-ai-generator {
        display: flex;
        gap: 32px;
        flex-direction: column;
    }

    .sidebar-section {
        width: 100%;
    }

    .model-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .model-item {
        width: 100%;
    }

    .style-grid {
        grid-template-columns: repeat(2, 1fr);
        gap: 10px;
    }

    .style-img img {
        width: 100%;
    }

    .aspect-ratio-grid {
        grid-template-columns: auto auto;
        gap: 10px;
    }

    .ratio-item {
        width: 100%;
        height: 78px;
    }

    .generate-image-content {
        width: 100%;
        padding: 30px;
    }

    .ai-content-image-box-cards {
        display: grid;
        grid-template-columns: auto auto auto;
        gap: 24px;
    }

    .ai-content-image-box-card {
        width: 100%;
    }

    .ai-content-image-box-card-image {
        width: 100%;
    }

    .ai-content-image-box-card-image img {
        width: 100%;
    }

    .ai-content-image-box-card-title h3 {
        font-size: 20px;
    }

    .ai-content-image-box-card-title span {
        font-size: 16px;
    }

    .ai-content-image-box-card-title span {
        height: 60px;
        display: flex;
        line-height: 30px;
        align-items: center;
    }

}

@media only screen and (max-width: 767px) {
    .image-ai-generator {
        display: flex;
        gap: 32px;
        flex-direction: column;
    }

    .sidebar-section {
        width: 100%;
    }

    .quality-item {
        min-width: 100%;
    }

    .quality-grid {
        display: grid;
        grid-template-columns: auto auto;
        gap: 8px;
    }

    .generate-image-content {
        height: auto;
    }

    .generate-image-alert {
        gap: 20px;
    }

    .ai-content-image-box-cards {
        grid-template-columns: auto auto;
    }
}

@media only screen and (max-width: 480px) {
    .ai-content-box {
        padding: 16px;
        gap: 50px;
    }

    .ai-content-box-title h3 {
        margin-top: 20px;
    }

    .ai-content-box {
        margin: 100px auto;
    }

    .sidebar-input {
        height: 50px;
    }

    .ai-content-box-title h3 {
        margin-top: 20px;
    }

    .generate-image-content img {
        width: 20%;
    }

    .after-generate img {
        width: 100%;
    }

    .generate-image-content h3 {
        font-size: 16px;
        text-align: center;
        width: 70%;
        line-height: 32px;
    }

    .generate-image-content span {
        font-size: 15px;
        text-align: center;
        line-height: 32px;
        width: 70%;
    }

    .style-item span {
        font-size: 14px;
    }

    .generate-image-buttons {
        display: flex;
        gap: 10px;
        flex-direction: column;
    }

    .generate-image-button-edit,
    .generate-image-button-jpeg,
    .generate-image-button-png {
        font-size: 14px;
    }

    .ai-content-image-box-card-title h3 {
        font-size: 16px;
    }

    .ai-content-image-box-card-title span {
        font-size: 14px;
    }

    .ai-content-image-box-card-title span {
        line-height: 24px;
    }
}

@media only screen and (max-width: 380px) {
    .ai-content-image-box-cards {
        display: grid;
        grid-template-columns: auto;
        gap: 24px;
    }
}